Editorialvideo 1 endpoints

GET /v2/editorial/videos/{id}

This endpoint shows information about an editorial image, including a URL to a preview image and the sizes that it is available in.

operationId: Editorialvideo_getContentDetails

Parameters

Name In Required Type Description
id path required string

Editorial ID

country query required string

Returns only if the content is available for distribution in a certain country

search_id query optional string

The ID of the search that is related to this request

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

406

Not Acceptable

GET /v2/editorial/videos/{id}

Images 24 endpoints

POST /v2/bulk_search/images

This endpoint runs up to 5 image searches in a single request and returns up to 20 results per search. You can provide global search parameters in the query parameters and override them for each search in the body parameter. The query and body parameters are the same as in the GET /v2/images/search endpoint.

operationId: Images_runMultipleSearches

Parameters

Name In Required Type Description
added_date query optional string

Show images added on the specified date

added_date_start query optional string

Show images added on or after the specified date

aspect_ratio_min query optional number

Show images with the specified aspect ratio or higher, using a positive decimal of the width divided by the height, such as 1.7778 for a 16:9 image

aspect_ratio_max query optional number

Show images with the specified aspect ratio or lower, using a positive decimal of the width divided by the height, such as 1.7778 for a 16:9 image

aspect_ratio query optional number

Show images with the specified aspect ratio, using a positive decimal of the width divided by the height, such as 1.7778 for a 16:9 image

added_date_end query optional string

Show images added before the specified date

category query optional string

Show images with the specified Shutterstock-defined category; specify a category name or ID

color query optional string

Specify either a hexadecimal color in the format ‘4F21EA’ or ‘grayscale’; the API returns images that use similar colors

contributor query optional array

Show images with the specified contributor names or IDs, allows multiple

contributor_country query optional

Show images from contributors in one or more specified countries, or start with NOT to exclude a country from the search

fields query optional string

Fields to display in the response; see the documentation for the fields parameter in the overview section

height query optional integer

(Deprecated; use height_from and height_to instead) Show images with the specified height

height_from query optional integer

Show images with the specified height or larger, in pixels

height_to query optional integer

Show images with the specified height or smaller, in pixels

image_type query optional array

Show images of the specified type

keyword_safe_search query optional boolean

Hide results with potentially unsafe keywords

language query optional

Set query and result language (uses Accept-Language header if not set)

license query optional array

Show only images with the specified license

model query optional array

Show image results with the specified model IDs

orientation query optional string

Show image results with horizontal or vertical orientation

page query optional integer

Page number

per_page query optional integer

Number of results per page

people_model_released query optional boolean

Show images of people with a signed model release

people_age query optional string

Show images that feature people of the specified age category

people_ethnicity query optional array

Show images with people of the specified ethnicities, or start with NOT to show images without those ethnicities

people_gender query optional string

Show images with people of the specified gender

people_number query optional integer

Show images with the specified number of people

region query optional

Raise or lower search result rankings based on the result’s relevance to a specified region; you can provide a country code or an IP address from which the API infers a country

safe query optional boolean

Enable or disable safe search

sort query optional string

Sort by

spellcheck_query query optional boolean

Spellcheck the search query and return results on suggested spellings

view query optional string

Amount of detail to render in the response

width query optional integer

(Deprecated; use width_from and width_to instead) Show images with the specified width

width_from query optional integer

Show images with the specified width or larger, in pixels

width_to query optional integer

Show images with the specified width or smaller, in pixels

Request Body

required

List of queries to request results for and filters to apply per query; these values override the defaults in the query parameters

application/json
schema BulkImageSearchRequest
array of object
Property Type Required
page integer optional
safe boolean optional
sort string optional
view string optional
color string optional
model array optional
query string optional
width integer optional
fields string optional
height integer optional
region object optional
license array optional
category string optional
language string optional
per_page integer optional
width_to integer optional
authentic boolean optional
height_to integer optional
added_date string optional
image_type array optional
…17 more object optional

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

POST /v2/bulk_search/images
GET /v2/images

This endpoint lists information about one or more images, including the available sizes.

operationId: Images_listInfo

Parameters

Name In Required Type Description
id query required array

One or more image IDs

view query optional string

Amount of detail to render in the response

search_id query optional string

The ID of the search that is related to this request

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/images
GET /v2/images/categories

This endpoint lists the categories (Shutterstock-assigned genres) that images can belong to.

operationId: Images_listCategories

Parameters

Name In Required Type Description
language query optional

Language for the keywords and categories in the response

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/images/categories
GET /v2/images/collections

This endpoint lists your collections of images and their basic attributes.

operationId: Images_listCollections

Parameters

Name In Required Type Description
embed query optional array

Which sharing information to include in the response, such as a URL to the collection

page query optional integer

Page number

per_page query optional integer

Number of results per page

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/images/collections
POST /v2/images/collections

This endpoint creates one or more image collections (lightboxes). To add images to the collections, use POST /v2/images/collections/{id}/items.

operationId: Images_createCollection

Request Body

required

The names of the new collections

application/json
schema CollectionCreateRequest
Property Type Required
name string required

Responses

201

Successfully created image collection

400

Bad Request

401

Unauthorized

403

Forbidden

POST /v2/images/collections
GET /v2/images/collections/featured

This endpoint lists featured collections of specific types and a name and cover image for each collection.

operationId: Images_listFeaturedCollections

Parameters

Name In Required Type Description
embed query optional string

Which sharing information to include in the response, such as a URL to the collection

type query optional array

The types of collections to return

asset_hint query optional string

Cover image size

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/images/collections/featured
GET /v2/images/collections/featured/{id}

This endpoint gets more detailed information about a featured collection, including its cover image and timestamps for its creation and most recent update. To get the images, use GET /v2/images/collections/featured/{id}/items.

operationId: Images_featuredCollectionDetails

Parameters

Name In Required Type Description
id path required string

Collection ID

embed query optional string

Which sharing information to include in the response, such as a URL to the collection

asset_hint query optional string

Cover image size

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

404

Featured collection not found

GET /v2/images/collections/featured/{id}
GET /v2/images/collections/featured/{id}/items

This endpoint lists the IDs of images in a featured collection and the date that each was added.

operationId: Images_getCollectionItems

Parameters

Name In Required Type Description
id path required string

Collection ID

page query optional integer

Page number

per_page query optional integer

Number of results per page

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

404

Featured collection not found

GET /v2/images/collections/featured/{id}/items
DELETE /v2/images/collections/{id}

This endpoint deletes an image collection.

operationId: Images_deleteCollection

Parameters

Name In Required Type Description
id path required string

Collection ID

Responses

204

Successfully deleted collection

400

Bad Request

401

Unauthorized

403

Forbidden

404

Collection not found

DELETE /v2/images/collections/{id}
GET /v2/images/collections/{id}

This endpoint gets more detailed information about a collection, including its cover image and timestamps for its creation and most recent update. To get the images in collections, use GET /v2/images/collections/{id}/items.

operationId: Images_getCollectionDetails

Parameters

Name In Required Type Description
id path required string

Collection ID

embed query optional array

Which sharing information to include in the response, such as a URL to the collection

share_code query optional string

Code to retrieve a shared collection

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

404

Collection not found

GET /v2/images/collections/{id}
POST /v2/images/collections/{id}

This endpoint sets a new name for an image collection.

operationId: Images_renameCollection

Parameters

Name In Required Type Description
id path required string

Collection ID

Request Body

required

The new name for the collection

application/json
schema CollectionUpdateRequest
Property Type Required
name string required

Responses

204

Successfully updated collection

400

Bad Request

401

Unauthorized

403

Forbidden

404

Collection not found

POST /v2/images/collections/{id}
DELETE /v2/images/collections/{id}/items

This endpoint removes one or more images from a collection.

operationId: Images_removeFromCollection

Parameters

Name In Required Type Description
id path required string

Collection ID

item_id query optional array

One or more image IDs to remove from the collection

Responses

204

Successfully removed collection items

400

Bad Request

401

Unauthorized

403

Forbidden

404

Collection not found

DELETE /v2/images/collections/{id}/items
GET /v2/images/collections/{id}/items

This endpoint lists the IDs of images in a collection and the date that each was added.

operationId: Images_getCollectionItems

Parameters

Name In Required Type Description
id path required string

Collection ID

page query optional integer

Page number

per_page query optional integer

Number of results per page

share_code query optional string

Code to retrieve the contents of a shared collection

sort query optional string

Sort order

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

404

Collection not found

GET /v2/images/collections/{id}/items
POST /v2/images/collections/{id}/items

This endpoint adds one or more images to a collection by image IDs.

operationId: Images_addToCollectionItems

Parameters

Name In Required Type Description
id path required string

Collection ID

Request Body

required

Array of image IDs to add to the collection

application/json
schema CollectionItemRequest
Property Type Required
items array required
id string required
added_time string optional
media_type string optional

Responses

204

Successfully added collection items

400

Bad Request

401

Unauthorized

403

Forbidden

404

Collection not found

POST /v2/images/collections/{id}/items
GET /v2/images/licenses

This endpoint lists existing licenses.

operationId: Images_listLicenses

Parameters

Name In Required Type Description
image_id query optional string

Show licenses for the specified image ID

license query optional string

Show images that are available with the specified license, such as standard or enhanced; prepending a - sign excludes results from that license

page query optional integer

Page number

per_page query optional integer

Number of results per page

sort query optional string

Sort order

username query optional string

Filter licenses by username of licensee

start_date query optional string

Show licenses created on or after the specified date

end_date query optional string

Show licenses created before the specified date

download_availability query optional string

Filter licenses by download availability

team_history query optional boolean

Set to true to see license history for all members of your team.

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/images/licenses
POST /v2/images/licenses

This endpoint gets licenses for one or more images. You must specify the image IDs in the body parameter and other details like the format, size, and subscription ID either in the query parameter or with each image ID in the body parameter. Values in the body parameter override values in the query parameters. The download links in the response are valid for 8 hours.

operationId: Images_licenseImagesForMultiple

Parameters

Name In Required Type Description
subscription_id query optional string

Subscription ID to use to license the image

format query optional string

(Deprecated) Image format

size query optional string

Image size

search_id query optional string

Search ID that was provided in the results of an image search

Request Body

required

List of images to request licenses for and information about each license transaction; these values override the defaults in the query parameters

application/json
schema LicenseImageRequest
Property Type Required
images array required

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

POST /v2/images/licenses
POST /v2/images/licenses/{id}/downloads

This endpoint redownloads images that you have already received a license for. The download links in the response are valid for 8 hours.

operationId: Images_redownloadLicense

Parameters

Name In Required Type Description
id path required string

License ID

Request Body

required

Information about the images to redownload

application/json
schema RedownloadImage
Property Type Required
size string optional
show_modal boolean optional
auth_cookie object optional
name string required
value string required
verification_code string optional

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

POST /v2/images/licenses/{id}/downloads
GET /v2/images/recommendations

This endpoint returns images that customers put in the same collection as the specified image IDs.

operationId: Images_listRecommendedImages

Parameters

Name In Required Type Description
id query required array

Image IDs

max_items query optional integer

Maximum number of results returned in the response

safe query optional boolean

Restrict results to safe images

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/images/recommendations
GET /v2/images/search

This endpoint searches for images. If you specify more than one search parameter, the API uses an AND condition. Array parameters can be specified multiple times; in this case, the API uses an AND or an OR condition with those values, depending on the parameter. You can also filter search terms out in the query parameter by prefixing the term with NOT. Free API accounts show results only from a limited library of media, not the full Shutterstock media library. Also, the number of search fields they can use in a request is limited.

operationId: Images_searchImages

Parameters

Name In Required Type Description
added_date query optional string

Show images added on the specified date

added_date_start query optional string

Show images added on or after the specified date

aspect_ratio_min query optional number

Show images with the specified aspect ratio or higher, using a positive decimal of the width divided by the height, such as 1.7778 for a 16:9 image

aspect_ratio_max query optional number

Show images with the specified aspect ratio or lower, using a positive decimal of the width divided by the height, such as 1.7778 for a 16:9 image

aspect_ratio query optional number

Show images with the specified aspect ratio, using a positive decimal of the width divided by the height, such as 1.7778 for a 16:9 image

ai_search query optional boolean

Set to true and specify the ai_objective and ai_industry parameters to use AI-powered search; the API returns information about how well images meet the objective for the industry

ai_labels_limit query optional integer

For AI-powered search, specify the maximum number of labels to return

ai_industry query optional string

For AI-powered search, specify the industry to target; requires that the ai_search parameter is set to true

ai_objective query optional string

For AI-powered search, specify the goal of the media; requires that the ai_search parameter is set to true

added_date_end query optional string

Show images added before the specified date

category query optional string

Show images with the specified Shutterstock-defined category; specify a category name or ID

color query optional string

Specify either a hexadecimal color in the format ‘4F21EA’ or ‘grayscale’; the API returns images that use similar colors

contributor query optional array

Show images with the specified contributor names or IDs, allows multiple

contributor_country query optional

Show images from contributors in one or more specified countries, or start with NOT to exclude a country from the search

fields query optional string

Fields to display in the response; see the documentation for the fields parameter in the overview section

height query optional integer

(Deprecated; use height_from and height_to instead) Show images with the specified height

height_from query optional integer

Show images with the specified height or larger, in pixels

height_to query optional integer

Show images with the specified height or smaller, in pixels

image_type query optional array

Show images of the specified type

keyword_safe_search query optional boolean

Hide results with potentially unsafe keywords

language query optional

Set query and result language (uses Accept-Language header if not set)

license query optional array

Show only images with the specified license

model query optional array

Show image results with the specified model IDs

orientation query optional string

Show image results with horizontal or vertical orientation

page query optional integer

Page number

per_page query optional integer

Number of results per page

people_model_released query optional boolean

Show images of people with a signed model release

people_age query optional string

Show images that feature people of the specified age category

people_ethnicity query optional array

Show images with people of the specified ethnicities, or start with NOT to show images without those ethnicities

people_gender query optional string

Show images with people of the specified gender

people_number query optional integer

Show images with the specified number of people

query query optional string

One or more search terms separated by spaces; you can use NOT to filter out images that match a term

region query optional

Raise or lower search result rankings based on the result’s relevance to a specified region; you can provide a country code or an IP address from which the API infers a country

safe query optional boolean

Enable or disable safe search

sort query optional string

Sort by

spellcheck_query query optional boolean

Spellcheck the search query and return results on suggested spellings

view query optional string

Amount of detail to render in the response

width query optional integer

(Deprecated; use width_from and width_to instead) Show images with the specified width

width_from query optional integer

Show images with the specified width or larger, in pixels

width_to query optional integer

Show images with the specified width or smaller, in pixels

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/images/search
GET /v2/images/search/suggestions

This endpoint provides autocomplete suggestions for partial search terms.

operationId: Images_getSearchSuggestions

Parameters

Name In Required Type Description
query query required string

Search term for which you want keyword suggestions

limit query optional integer

Limit the number of suggestions

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/images/search/suggestions
POST /v2/images/search/suggestions

This endpoint returns up to 10 important keywords from a block of plain text.

operationId: Images_extractKeywordsFromText

Request Body

required

Plain text to extract keywords from

application/json
schema SearchEntitiesRequest
Property Type Required
text string required

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

POST /v2/images/search/suggestions
GET /v2/images/updated

This endpoint lists images that have been updated in the specified time period to update content management systems (CMS) or digital asset management (DAM) systems. In most cases, use the interval parameter to show images that were updated recently, but you can also use the start_date and end_date parameters to specify a range of no more than three days. Do not use the interval parameter with either start_date or end_date.

operationId: Images_listUpdatedContent

Parameters

Name In Required Type Description
type query optional array

Show images that were added, deleted, or edited; by default, the endpoint returns images that were updated in any of these ways

start_date query optional string

Show images updated on or after the specified date

end_date query optional string

Show images updated before the specified date

interval query optional string

Show images updated in the specified time period, where the time period is an interval (like SQL INTERVAL) such as 1 DAY, 6 HOUR, or 30 MINUTE; the default is 1 HOUR, which shows images that were updated in the hour preceding the request

page query optional integer

Page number

per_page query optional integer

Number of results per page

sort query optional string

Sort order

Responses

200

OK

GET /v2/images/updated
GET /v2/images/{id}

This endpoint shows information about an image, including a URL to a preview image and the sizes that it is available in.

operationId: Images_getDetails

Parameters

Name In Required Type Description
id path required string

Image ID

language query optional

Language for the keywords and categories in the response

view query optional string

Amount of detail to render in the response

search_id query optional string

The ID of the search that is related to this request

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/images/{id}
GET /v2/images/{id}/similar

This endpoint returns images that are visually similar to an image that you specify.

operationId: Images_listSimilarImages

Parameters

Name In Required Type Description
id path required string

Image ID

language query optional

Language for the keywords and categories in the response

page query optional integer

Page number

per_page query optional integer

Number of results per page

view query optional string

Amount of detail to render in the response

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/images/{id}/similar

Oauth 2 endpoints

POST /v2/oauth/access_token

This endpoint returns an access token for the specified user and with the specified scopes. The token does not expire until the user changes their password. The body parameters must be encoded as form data.

operationId: Oauth_getUserAccessToken

Request Body

application/json
schema OauthGetUserAccessTokenRequest
Property Type Required
code string optional
realm string optional
expires boolean optional
client_id string required
grant_type string required
client_secret string optional
refresh_token string optional
application/x-www-form-urlencoded
schema OauthGetUserAccessTokenRequest1
Property Type Required
code string optional
realm string optional
expires string optional
client_id string required
grant_type string required
client_secret string optional
refresh_token string optional

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

POST /v2/oauth/access_token
GET /v2/oauth/authorize

This endpoint returns a redirect URI (in the ‘Location’ header) that the customer uses to authorize your application and, together with POST /v2/oauth/access_token, generate an access token that represents that authorization.

operationId: Oauth_authorizeApplications

Parameters

Name In Required Type Description
client_id query required string

Client ID (Consumer Key) of your application

realm query optional string

User type to be authorized (usually ‘customer’)

redirect_uri query required string

The callback URI to send the request to after authorization; must use a host name that is registered with your application

response_type query required string

Type of temporary authorization code that will be used to generate an access code; the only valid value is ‘code’

scope query optional string

Space-separated list of scopes to be authorized

state query required string

Unique value used by the calling app to verify the request

Responses

200

OK

302

Redirect user to authenticate with Shutterstock

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/oauth/authorize

Soundeffects 6 endpoints

GET /v2/sfx

This endpoint shows information about sound effects.

operationId: Soundeffects_listDetails

Parameters

Name In Required Type Description
id query required array

One or more sound effect IDs

view query optional string

Amount of detail to render in the response

language query optional

Language for the keywords and categories in the response

library query optional string

Which library to fetch from

search_id query optional string

The ID of the search that is related to this request

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/sfx
GET /v2/sfx/licenses

This endpoint lists existing licenses.

operationId: Soundeffects_listLicenses

Parameters

Name In Required Type Description
sfx_id query optional string

Show licenses for the specified sound effects ID

license query optional string

Show sound effects that are available with the specified license, such as standard or enhanced; prepending a - sign excludes results from that license

page query optional integer

Page number

per_page query optional integer

Number of results per page

sort query optional string

Sort order

username query optional string

Filter licenses by username of licensee

start_date query optional string

Show licenses created on or after the specified date

end_date query optional string

Show licenses created before the specified date

license_id query optional string

Filter by the license ID

download_availability query optional string

Filter licenses by download availability

team_history query optional boolean

Set to true to see license history for all members of your team.

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/sfx/licenses
POST /v2/sfx/licenses

This endpoint licenses sounds effect assets.

operationId: Soundeffects_licenseAssets

Request Body

required
application/json
schema LicenseSFXRequest
Property Type Required
sound_effects array required
format string optional
sfx_id string required
search_id string optional
audio_layout string optional
subscription_id string required

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

POST /v2/sfx/licenses
POST /v2/sfx/licenses/{id}/downloads

This endpoint redownloads sound effects that you have already received a license for. The download links in the response are valid for 8 hours.

operationId: Soundeffects_redownloadLicenses

Parameters

Name In Required Type Description
id path required string

License ID

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

POST /v2/sfx/licenses/{id}/downloads
GET /v2/sfx/search

This endpoint searches for sound effects. If you specify more than one search parameter, the API uses an AND condition.

operationId: Soundeffects_searchSoundEffects

Parameters

Name In Required Type Description
added_date query optional string

Show sound effects added on the specified date

added_date_start query optional string

Show sound effects added on or after the specified date

added_date_end query optional string

Show sound effects added before the specified date

duration query optional integer

Show sound effects with the specified duration in seconds

duration_from query optional integer

Show sound effects with the specified duration or longer in seconds

duration_to query optional integer

Show sound effects with the specified duration or shorter in seconds

page query optional integer

Page number

per_page query optional integer

Number of results per page

query query optional string

One or more search terms separated by spaces

safe query optional boolean

Enable or disable safe search

sort query optional string

Sort by

view query optional string

Amount of detail to render in the response

language query optional

Set query and result language (uses Accept-Language header if not set)

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

503

Service Unavailable

GET /v2/sfx/search
GET /v2/sfx/{id}

This endpoint shows information about a sound effect.

operationId: Soundeffects_getDetails

Parameters

Name In Required Type Description
id path required integer

Audio track ID

language query optional

Language for the keywords and categories in the response

view query optional string

Amount of detail to render in the response

library query optional string

Which library to fetch from

search_id query optional string

The ID of the search that is related to this request

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

503

Service Unavailable

GET /v2/sfx/{id}

Test 2 endpoints

GET /v2/test
operationId: Test_echoText

Parameters

Name In Required Type Description
text query optional string

Text to echo

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/test
GET /v2/test/validate
operationId: Test_inputValidation

Parameters

Name In Required Type Description
id query required integer

Integer ID

tag query optional array

List of tags

user-agent header optional string

User agent

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/test/validate

Users 3 endpoints

GET /v2/user
operationId: Users_getUserDetails

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/user
GET /v2/user/access_token
operationId: Users_getAccessTokenDetails

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/user/access_token
GET /v2/user/subscriptions
operationId: Users_listSubscriptions

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/user/subscriptions

Videos 12 endpoints

GET /v2/videos

This endpoint lists information about one or more videos, including the aspect ratio and URLs to previews.

operationId: Videos_listVideo

Parameters

Name In Required Type Description
id query required array

One or more video IDs

view query optional string

Amount of detail to render in the response

search_id query optional string

The ID of the search that is related to this request

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/videos
GET /v2/videos/categories

This endpoint lists the categories (Shutterstock-assigned genres) that videos can belong to.

operationId: Videos_listCategories

Parameters

Name In Required Type Description
language query optional

Language for the keywords and categories in the response

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/videos/categories
GET /v2/videos/collections

This endpoint lists your collections of videos and their basic attributes.

operationId: Videos_listCollections

Parameters

Name In Required Type Description
page query optional integer

Page number

per_page query optional integer

Number of results per page

embed query optional array

Which sharing information to include in the response, such as a URL to the collection

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/videos/collections
POST /v2/videos/collections

This endpoint creates one or more collections (clipboxes). To add videos to collections, use POST /v2/videos/collections/{id}/items.

operationId: Videos_createVideoCollections

Request Body

required

Collection metadata

application/json
schema CollectionCreateRequest
Property Type Required
name string required

Responses

201

Successfully created video collection

400

Bad Request

401

Unauthorized

403

Forbidden

POST /v2/videos/collections
GET /v2/videos/collections/featured

This endpoint lists featured video collections and a name and cover video for each collection.

operationId: Videos_listFeaturedVideoCollections

Parameters

Name In Required Type Description
embed query optional string

What information to include in the response, such as a URL to the collection

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

GET /v2/videos/collections/featured
GET /v2/videos/collections/featured/{id}

This endpoint gets more detailed information about a featured video collection, including its cover video and timestamps for its creation and most recent update. To get the videos, use GET /v2/videos/collections/featured/{id}/items.

operationId: Videos_collectionDetailsGet

Parameters

Name In Required Type Description
id path required string

Collection ID

embed query optional string

What information to include in the response, such as a URL to the collection

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

404

Featured collection not found

GET /v2/videos/collections/featured/{id}
GET /v2/videos/collections/featured/{id}/items

This endpoint lists the IDs of videos in a featured collection and the date that each was added.

operationId: Videos_getFeaturedCollectionItems

Parameters

Name In Required Type Description
id path required string

Collection ID

page query optional integer

Page number

per_page query optional integer

Number of results per page

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

404

Featured collection not found

GET /v2/videos/collections/featured/{id}/items
DELETE /v2/videos/collections/{id}

This endpoint deletes a collection.

operationId: Videos_deleteCollection

Parameters

Name In Required Type Description
id path required string

The ID of the collection to delete

Responses

204

Successfully deleted collection

400

Bad Request

401

Unauthorized

403

Forbidden

404

Collection not found

DELETE /v2/videos/collections/{id}
GET /v2/videos/collections/{id}

This endpoint gets more detailed information about a collection, including the timestamp for its creation and the number of videos in it. To get the videos in collections, use GET /v2/videos/collections/{id}/items.

operationId: Videos_collectionDetailsGet

Parameters

Name In Required Type Description
id path required string

The ID of the collection to return

embed query optional array

Which sharing information to include in the response, such as a URL to the collection

share_code query optional string

Code to retrieve a shared collection

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

404

Collection not found

GET /v2/videos/collections/{id}
POST /v2/videos/collections/{id}

This endpoint sets a new name for a collection.

operationId: Videos_setNewName

Parameters

Name In Required Type Description
id path required string

The ID of the collection to rename

Request Body

required

The new name for the collection

application/json
schema CollectionUpdateRequest
Property Type Required
name string required

Responses

204

Successfully updated collection

400

Bad Request

401

Unauthorized

403

Forbidden

404

Collection not found

POST /v2/videos/collections/{id}
DELETE /v2/videos/collections/{id}/items

This endpoint removes one or more videos from a collection.

operationId: Videos_removeFromCollection

Parameters

Name In Required Type Description
id path required string

The ID of the Collection from which items will be deleted

item_id query optional array

One or more video IDs to remove from the collection

Responses

204

Successfully removed collection items

400

Bad Request

401

Unauthorized

403

Forbidden

404

Collection not found

DELETE /v2/videos/collections/{id}/items
GET /v2/videos/collections/{id}/items

This endpoint lists the IDs of videos in a collection and the date that each was added.

operationId: Videos_getCollectionItems

Parameters

Name In Required Type Description
id path required string

Collection ID

page query optional integer

Page number

per_page query optional integer

Number of results per page

share_code query optional string

Code to retrieve the contents of a shared collection

sort query optional string

Sort order

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

404

Collection not found

GET /v2/videos/collections/{id}/items
Load more endpoints